#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,400,480,560,640,720,800,880,960,1200,1600,3280
 * N : 25,160,400,480,560,640,720,800,880,960,1200,1600,3280
 * NB : 6,12,12,8,112,128,120,192,320,320,320,320,320
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 6; \
   else if ((n_) < 440) (nb_) = 12; \
   else if ((n_) < 520) (nb_) = 8; \
   else if ((n_) < 600) (nb_) = 112; \
   else if ((n_) < 680) (nb_) = 128; \
   else if ((n_) < 760) (nb_) = 120; \
   else if ((n_) < 840) (nb_) = 192; \
   else (nb_) = 320; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
